<!--
  @File Name          : listeSprint.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 28/05/2020 à 10:35:53
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    14/05/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
    <div class="slds-box slds-theme_shade">
    <center class="bienvenue" style="font-size: 188%;
    margin-block-start: 3%;
    font-family: cursive;
    font-style: italic;
    color: navy;">
    <p><b>Tableaux des Sprints {DetailProjet.Name}</b></p><br/><br/>
    </center>
    <lightning-breadcrumbs>
        <lightning-breadcrumb
        label={DetailProjet.Name}
        href="path/to/place/1"
        onclick={handleNavigateToProjet}>
    </lightning-breadcrumb>
          <lightning-breadcrumb if:true={showpages}
          label={record.Name}>
      </lightning-breadcrumb>
      </lightning-breadcrumbs><br/>
      <tamplate if:true={showpages}>
        <p><b> {record.Name}</b></p><br/>
        <lightning-button-icon icon-name="standard:event"    alternative-text="Event"   class="slds-m-left_xx-small" title="Event" onclick={navigateToReports}></lightning-button-icon>
        <p>{record.Description__c}</p><br/><br/>
        <lightning-icon icon-name="utility:clock" alternative-text="estimated time" size="x-small"
                  title="x-small size"></lightning-icon>
                  <p>{record.Date_Debut__c} h</p> <br/>
                  <br/>
                  <p>{record.Date_Fin__c} h</p> <br/>
          <lightning-formatted-date-time
                value={timestamp}
                year="numeric"
                month="numeric"
                day="numeric"
                hour="2-digit"
                minute="2-digit"
                second="2-digit"
                time-zone-name="short">
            </lightning-formatted-date-time><br/><br/>
            </tamplate><br/><br/>
    <template if:true={openmodel}>
        <div class="demo-only">
            <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
                <div class="slds-modal__container">
                    <header class="slds-modal__header">
                        <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                            <lightning-icon icon-name="utility:close" size="medium">
                            </lightning-icon>
                            <span class="slds-assistive-text">Close</span>
                        </button>
                        <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Ajouter un Sprint</h2>
                    </header>
                    <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">     
    <table>
        <tr>
            <td>
                <p>nom de Projet:</p>
            </td>
            <td>
                <lightning-input type="text" label=" "  required ="required"   value={DetailProjet.Name}  disabled ></lightning-input>
            </td>
        </tr>
        <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
        <TR></TR>
        <tr>
            <td>
                <p>nom de Sprint:</p>
            </td>
            <td>
                <lightning-input type="text" label=" " required ="required"  onchange={handleNameuserchange} value={SprintRecord.Name} placeholder="type here..."></lightning-input>
            </td>
        </tr>
        <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
        <TR></TR>
        <tr>
            <td>
                <p>Description:</p>
            </td>
            <td>
                <lightning-input type="text" label=" "  required ="required"  onchange={handleDescriptionchange} value={SprintRecord.Description__c}  placeholder="type here..."></lightning-input>
            </td>
        </tr> 
        <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
        <TR></TR>
        <tr>
            <td>
                <p>Date Debut Sprint:</p>
            </td>
            <td>
                <lightning-input type="date" label=" " required ="required"  onchange={handleDateDebutuserchange} value={SprintRecord.Date_Debut__c}></lightning-input>
            </td>
        </tr>
        <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
        <TR></TR>
        <tr>
            <td>
                <p>Date Fin Sprint:</p>
            </td>
            <td>
                <lightning-input type="date" label=" "  required ="required"  onchange={handleDateFinchange} value={SprintRecord.Date_Fin__c}></lightning-input>
            </td>
        </tr>
        </table>
    </div>
    <footer class="slds-modal__footer">
        <lightning-button label="Annuler" variant="neutral" onclick={closeModal}></lightning-button>
        <lightning-button label="Enregistrer" variant="brand" onclick={saveMethod}></lightning-button>
    </footer>
    </div>
    </section>
    <div class="slds-backdrop slds-backdrop_open"></div>
    </div>
</template>
    <div class="slds-modal__content slds-p-around_medium" style="margin-top: -4%;">
        <table><tr>
        <td><i>Nom de Projet:</i>  {DetailProjet.Name}</td>
        <td> <I>Categorie:</I>  {DetailProjet.Gat_gorie__c}</td>
        <td> <i>Etat:</i> {DetailProjet.Etat__c}  </td>
        <td> <i>Type:</i>   {DetailProjet.Type__c}  </td>
        <td><i>Priorité:</i>  {DetailProjet.Priorit__c}  </td>
        <td> <i>Date Debut:</i> {DetailProjet.Date_Debut__c}</td>
        <td><i>Date fin:</i> {DetailProjet.Date_fin__c}</td>
        </tr>
        </table>
    </div>
    <br/>
    <lightning-button class="btt_ajouter" icon-name="utility:add" label="Ajouter Sprint" variant="brand" onclick={openmodal} ></lightning-button>
    <br/>
    <template if:true={data}>
        <lightning-datatable data={data}
                        columns={columns}
                        key-field="id"
                        hide-checkbox-column="true"
                        onrowaction={handleRowActions}></lightning-datatable>
        </template>
    
<!-- Spinner -->
<div if:true={showLoadingSpinner}>
    <lightning-spinner alternative-text="Loading" size="large"></lightning-spinner>
    </div>
    <!-- Detail view modal -->
    <template if:true={bShowModal}>
    <section role="dialog" tabindex="-1"
            aria-labelledby="modal-heading-03"
            aria-modal="true"
            aria-describedby="modal-content-id-3"
            class="slds-modal slds-fade-in-open">
    <div class="slds-modal__container">
        <!-- modal header -->
        <header class="slds-modal__header">
            <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModalAction}>
                <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
            </button>
            <h2 id="modal-heading-03" class="slds-text-heading_medium slds-hyphenate" if:false={isEditForm}>Record Detail</h2>
            <h2 id="modal-heading-02" class="slds-text-heading_medium slds-hyphenate" if:true={isEditForm}>Update Record Values</h2>
        </header>
        <!-- modal body -->
        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-3" if:false={isEditForm}>
            <dl class="slds-list_horizontal slds-wrap">
                <dt class="slds-item_label slds-truncate" title="Nom de Projet">Nom de Projet:</dt>
                <dd class="slds-item_detail slds-truncate">{DetailProjet.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="Nom de Sprint">Nom de Sprint:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="Description">Description:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Description__c}</dd>
                <dt class="slds-item_label slds-truncate" title="Date Debut">Date Debut:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Date_Debut__c}</dd>
                <dt class="slds-item_label slds-truncate" title="Description">Date Fin:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Date_Fin__c}</dd>
            </dl>
        </div>
        
        <!-- showing record edit form -->
        <div if:true={isEditForm} class="slds-theme_default">
            <lightning-record-edit-form layout-type="Full" record-id={currentRecordId} object-api-name="Sprint__c" onsubmit={handleSubmit} onsuccess={handleSuccess}>
                <lightning-messages></lightning-messages>
                <lightning-output-field field-name="projet__c"></lightning-output-field>
                <lightning-input-field field-name="Name"></lightning-input-field>
                <lightning-input-field field-name="Description__c"></lightning-input-field>
                <lightning-input-field field-name="Date_Debut__c"></lightning-input-field>
                <lightning-input-field field-name="Date_Fin__c"></lightning-input-field>
                <br/>
                <div style="text-align:center;">
                <lightning-button class="slds-m-top_small"
                                    variant="brand"
                                    type="submit"
                                    name="update"
                                    label="Update Record"></lightning-button>
            </div>
        </lightning-record-edit-form><br/>
        </div>
    <!-- modal footer start-->
    <footer class="slds-modal__footer" if:false={isEditForm}>
        <lightning-button variant="brand"
                            label="Close"
                            title="Close"
                            onclick={closeModalAction}></lightning-button>
    </footer>
    </div>
    </section>
    <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
    </div>
</template>